dvdisaster Version 0.70 | Zur Internet-Version

Inhalt
Überblick
Beispiele und Bildschirmfotos
· | Datenträger auf Lesefehler prüfen
· | Fehlerkorrektur-Daten erzeugen
· | Beschädigten Datenträger einlesen
· | Datenträger-Abbild rekonstruieren
· | Informationen über Abbild und Fehlerkorrektur-Daten anzeigen
· | Einstellmöglichkeiten
· | Aufrufmöglichkeiten
Herunterladen
Fragen und Antworten
Hintergrundinformationen
|  | ### Beschädigten Datenträger einlesen dvdisaster enthält ein Leseverfahren, das an das Einlesen beschädigter Datenträger angepaßt ist:
1. | Legen Sie den Datenträger in das Laufwerk. |
2. | Wählen Sie das Laufwerk aus. |
3. | Wählen Sie die Abbild-Datei aus. | Das -Symbol öffnet die Dateiauswahl.
4a. | nur bei Verwendung von Fehlerkorrektur-Dateien (RS01): Wählen Sie die Fehlerkorrektur-Datei aus. Diese Datei wird jetzt schon benötigt, damit dvdisaster ermitteln kann, wann es genügend Informationen zur Wiederherstellung des Abbildes besitzt. | Das -Symbol öffnet die Dateiauswahl.
4b. | nur bei Verwendung von erweiterten Abbildern (RS02): Wählen Sie "ECC/RS02" bei den Einstellungen zur Ermittlung der Abbild-Größe, damit der Datenträger vollständig eingelesen wird. |
5. | Wählen Sie das angepaßte Leseverfahren aus. |
6. | Beginnen Sie mit dem Einlesen durch Klick auf den "Lesen"-Knopf. |
7. | Verfolgen Sie den Fortschritt des Vorgangs. |
Wenn der Lesevorgang mit der Ausgabe beendet wird, daß genügend Informationen für eine erfolgreiche Wiederherstellung vorhanden sind, stellen Sie die noch fehlenden Sektoren aus den Fehlerkorrektur-Daten wieder her. Anderenfalls müssen Sie probieren, das Abbild erneut einzulesen (ein paar Tips dazu). In diesem Fall versucht dvdisaster nur die fehlenden Sektoren noch einmal zu lesen. ### Beschädigten Datenträger in der Kommandozeile einlesen Zum Einlesen des beschädigten Datenträgers benötigen Sie die folgenden Parameter (Grundeinstellungen in Klammern):
-r/ --read | Einlesen
--adaptive-read | Leseverfahren für beschädigte Datenträger verwenden
-d / --device | Laufwerk auswählen (/dev/cdrom)
-i / --image | Abbild-Datei auswählen (medium.iso)
-e / --ecc | nur für RS01: Fehlerkorrektur-Datei auswählen (medium.ecc)
Beispiel zum Lesen eines beschädigten Datenträgers mit Hilfe einer Fehlerkorrektur-Datei:
user@linux> dvdisaster -r --adaptive-read -i abbild.iso -e korrektur.ecc dvdisaster-0.70 Copyright 2004-2006 Carsten Gnörlich. Dies ist freie Software; es gelten die Bedingungen der GNU GENERAL PUBLIC LICENSE aus dem Quelltext. Laufwerk: /dev/cdrom, ATAPI DVD+RW 8X4X12 B2K7 Datenträger: DVD+R, 2224288 Sektoren, 1 Schicht(en) Angepaßtes Leseverfahren: Versuche genügend Daten für die Fehlerkorrektur zu sammeln. Erzeuge neues Abbild abbild.iso. Reparierbar: 2.6% (korrigierbar: 0; lese in [0..2224288], Größe 2224288) Sektoren 57264-57279: Medium Error; Unrecovered read error. Auffüllen des Abbild-Bereichs [57280..1083504] [... weitere Berichte über den Lesevorgang ...] Reparierbar: 100.0% (korrigierbar: 319200; lese in [320304..327065], Größe 6762) Genügend Daten zur Wiederherstellung des Abbildes vorhanden.
Beispiel zum Lesen eines beschädigten Datenträgers mit einem erweiterten Abbild (RS02):
user@linux> dvdisaster -r --adaptive-read -i abbild.iso dvdisaster-0.70 Copyright 2004-2006 Carsten Gnörlich. Dies ist freie Software; es gelten die Bedingungen der GNU GENERAL PUBLIC LICENSE aus dem Quelltext. Laufwerk: /dev/cdrom, ATAPI DVD+RW 8X4X12 B2K7 Datenträger: DVD+R, 2224288 Sektoren, Ecc, 1 Schicht(en) Angepaßtes Leseverfahren: Versuche genügend Daten für die Fehlerkorrektur zu sammeln. Erzeuge neues Abbild abbild.iso. Reparierbar: 2.6% (korrigierbar: 0; lese in [0..2224288], Größe 2224288) Sektoren 57264-57279: Medium Error; Unrecovered read error. Auffüllen des Abbild-Bereichs [57280..1083504] [... weitere Berichte über den Lesevorgang ...] Reparierbar: 100.0% (korrigierbar: 319200; lese in [320304..327065], Größe 6762) Genügend Daten zur Wiederherstellung des Abbildes vorhanden.

Copyright 2004-2006 Carsten Gnörlich. Die unveränderte Wiedergabe und Verteilung dieses gesamten Textes in beliebiger Form ist gestattet, sofern dieser Hinweis erhalten bleibt.